Create New Competitor Enterprise
curl --request POST \
--url https://api.birdeye.com/resources/v1/signup/competitor/{businessNumber} \
--header 'Content-Type: application/json' \
--data '
{
"businessName": "Location_compca",
"userEmailId": "ron@test.com",
"countryCode": "CA",
"phone": "408-234-5272",
"zip": "95035",
"competitorId": 100037693,
"type": "Product"
}
'import requests
url = "https://api.birdeye.com/resources/v1/signup/competitor/{businessNumber}"
payload = {
"businessName": "Location_compca",
"userEmailId": "ron@test.com",
"countryCode": "CA",
"phone": "408-234-5272",
"zip": "95035",
"competitorId": 100037693,
"type": "Product"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
businessName: 'Location_compca',
userEmailId: 'ron@test.com',
countryCode: 'CA',
phone: '408-234-5272',
zip: '95035',
competitorId: 100037693,
type: 'Product'
})
};
fetch('https://api.birdeye.com/resources/v1/signup/competitor/{businessNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"competitorId": 100037739,
"templateid": 0,
"isAggregationRequired": 1,
"type": "Enterprise-Location-Competitor",
"businessNumber": 161295237142347,
"businessAlreadyPresent": false
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Competitor
Create Competitor Enterprise
Create New Competitor Enterprise creates a new competitor for an enterprise.
POST
/
v1
/
signup
/
competitor
/
{businessNumber}
Create New Competitor Enterprise
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Account Business Number.
Body
application/json
Response
OK
Enterprise Competitor Business ID.
Example:
100037739
Template Id.
Is agrgegation required.
Example:
1
Type.
Example:
"Enterprise"
Enterprise Competitor Business Number.
Example:
169744180007807
Is Business Already Present.
⌘I